# -*-mode: makefile; fill-column: 75; tab-width: 8; coding: utf-8-unix -*-

ROLE=hostvms
USER=`grep PRIV_SKEL_USERS_LIST /usr/local/etc/testforge/testforge.bash|sed -e 's/.*=//' -e 's/"//g'`

VAGRANT_DOCTEST=python3.sh ../../../src/ansible/bin/vagrant_doctest-ssh.py
PYTHON_DOCTEST=python3.sh -m doctest
SSH_DOCTEST=python3.sh ../../../src/ansible/bin/vagrant_doctest-ssh.py -p 2222 --box="vagrant@127.0.0.1"
LOCAL_DOCTEST=/var/local/bin/testforge_run_doctest2.bash

DOCTEST=$(LOCAL_DOCTEST)

default:: local

test:: local # hourly
	sudo -u ${USER} /var/local/src/var_local_$(ROLE).bash $@

hourly::
	/var/local/bin/$(ROLE)_hourly.bash

local::
	 $(DOCTEST) overlay/Linux/var/local/share/doc/txt/$(ROLE)3.txt
#	 $(DOCTEST) overlay/Linux/var/local/share/doc/txt/proxy2.txt

